<ui:composition xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns="http://www.w3.org/1999/xhtml">
    <h:form id="formut">
        <gri:popupPanel id="unitTestLogDetails">
            <f:facet name="header">
                <h:panelGroup>
                    <h:outputText value="#{messages['gazelle.vut.LogDetails']}"/>
                </h:panelGroup>
            </f:facet>
            <f:facet name="footer">
                <div align="right">
                    <a4j:commandButton value="#{messages['gazelle.vut.Close']}" styleClass="gzl-btn"
                                       onclick="jq162('#unitTestLogDetails').modal('hide')"/>
                </div>
            </f:facet>
            <s:div id="logDetailsDiv">
                <dl class="dl-horizontal">
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['gazelle.vut.UnitTest']}</ui:define>
                        <h:outputText value="#{managedBean.selectedLog.unitTest.keyword}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml"
                                rendered="#{not empty managedBean.selectedLog.unitTest.comment}">
                        <ui:define name="label">#{messages['gazelle.vut.Description']}</ui:define>
                        <h:outputText value="#{managedBean.selectedLog.unitTest.comment}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['gazelle.vut.RunDate']}</ui:define>
                        <g:date value="#{managedBean.selectedLog.runDate}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['gazelle.vut.TestedVersion']}</ui:define>
                        <h:outputText value="#{managedBean.selectedLog.testedVersion}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['gazelle.vut.ExpectedResult']}</ui:define>
                        <h:outputText value="#{managedBean.selectedLog.unitTest.expectedResult.value}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['gazelle.vut.EffectiveResult']}</ui:define>
                        <h:outputText value="#{managedBean.selectedLog.effectiveResult.value}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['gazelle.vut.Status']}</ui:define>
                        <h:outputText rendered="#{managedBean.selectedLog.success}"
                                      value="#{messages['gazelle.vut.PASSED']}"/>
                        <h:outputText rendered="#{not managedBean.selectedLog.success}"
                                      value="#{messages['gazelle.vut.FAILED']}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml"
                                rendered="#{not empty managedBean.selectedLog.reasonForFailure}">
                        <ui:define name="label">#{messages['gazelle.vut.ReasonForFailure']}</ui:define>
                        <h:outputText value="#{managedBean.selectedLog.reasonForFailure}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml"
                                rendered="#{not empty managedBean.selectedLog.additionalInfo}">
                        <ui:define name="label">#{messages['gazelle.vut.AdditionalInfo']}</ui:define>
                        <h:outputText value="#{managedBean.selectedLog.additionalInfo}"/>
                    </s:decorate>
                </dl>

            </s:div>
        </gri:popupPanel>
    </h:form>
</ui:composition>